import { fetchEvents } from '@/fetch/events'
import { fetchWorship } from '@/fetch/worship'
import { fetchBlog } from '@/fetch/blog'
import { fetchHighlights } from '@/fetch/highlights'
import { Home } from '@/pageComponents/Home/Home'

export const dynamic = 'force-dynamic'

export default async function HomePage() {

  const events = await fetchEvents(undefined)
  const worship = await fetchWorship()
  const blog = await fetchBlog()
  const highlights = await fetchHighlights()


  return (
    <Home
      schema={"contrast"}
      events={events?.docs || []}
      worship={worship?.docs || []}
      blog={blog?.docs || []}
      highlights={highlights?.docs || []}
    />
  )
}
